// Shader for testmaps by Loffy.

// ======================================================================
// ALLIED PHONG SHADERS = Smooth shading on brush surfaces
// ======================================================================

// ******************* Outdoor *************************

textures/testmap01/blue_grass_z
{
  q3map_nonplanar
  q3map_shadeangle 100 // This is the command that creates the smooth shadows (for example 90-170).
  q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 ) // (X Y Z) Z-axis projection (top --> down). The axis that has a zero value in both groups is the projection axis.
  qer_editorimage textures/testmap01/blue_grass_z.jpg
  {
    map $lightmap
    rgbGen identity
  }
  {
    map textures/testmap01/blue_grass.tga
    blendFunc filter
  }
}

textures/testmap01/blue_stones_z
{
  q3map_nonplanar
  q3map_shadeangle 100
  qer_editorimage textures/testmap01/blue_stones_z.jpg
  {
    map $lightmap
    rgbGen identity
  }
  {
    map textures/testmap01/blue_stones.tga
    blendFunc filter
  }
}

// ******************* Indoor *************************

textures/testmap01/blue_concrete_phong_512x256_x_y_z
{
  q3map_nonplanar
  q3map_shadeangle 100
  qer_editorimage textures/testmap01/blue_concrete_phong_512x256_x_y_z.jpg
  {
    map $lightmap
    rgbGen identity
  }
  {
    map textures/testmap01/blue_concrete_512x256.tga
    blendFunc filter
  }
}

textures/testmap01/blue_concrete_phong_256x256_x_y_z
{
  q3map_nonplanar
  q3map_shadeangle 100
  qer_editorimage textures/testmap01/blue_concrete_phong_256x256_x_y_z.jpg
  {
    map $lightmap
    rgbGen identity
  }
  {
    map textures/testmap01/blue_concrete_256x256.tga
    blendFunc filter
  }
}

textures/testmap01/blue_cracked_wall_z
{
  q3map_nonplanar
  q3map_shadeangle 100
  qer_editorimage textures/testmap01/blue_cracked_wall_z.jpg
  {
    map $lightmap
    rgbGen identity
  }
  {
    map textures/testmap01/blue_cracked_wall.tga
    blendFunc filter
  }
}

textures/testmap01/blue_rust_wall_z
{
  q3map_nonplanar
  q3map_shadeangle 100
  qer_editorimage textures/testmap01/blue_rust_wall_z.jpg
  {
    map $lightmap
    rgbGen identity
  }
  {
    map textures/testmap01/blue_rust_wall.tga
    blendFunc filter
  }
}


// ******************* Signs *************************

textures/testmap01/amazing_bank
{
	surfaceparm woodsteps
	nopicmip
	nomipmaps
	q3map_nonplanar
	q3map_shadeangle 100
	qer_editorimage textures/testmap01/amazing_bank.jpg
	{
		map $lightmap
		rgbGen identity
	}

	{
		map textures/testmap01/amazing_bank.jpg
		blendFunc filter
	}
}

textures/testmap01/commandpost
{
	surfaceparm woodsteps
	nopicmip
	nomipmaps
	q3map_nonplanar
	q3map_shadeangle 100
	qer_editorimage textures/testmap01/commandpost.jpg
	{
		map $lightmap
		rgbGen identity
	}

	{
		map textures/testmap01/commandpost.jpg
		blendFunc filter
	}
}

textures/testmap01/teamdoor_allied
{
	surfaceparm woodsteps
	nopicmip
	nomipmaps
	q3map_nonplanar
	q3map_shadeangle 100
	qer_editorimage textures/testmap01/teamdoor_allied.jpg
	{
		map $lightmap
		rgbGen identity
	}

	{
		map textures/testmap01/teamdoor_allied.jpg
		blendFunc filter
	}
}

textures/testmap01/sideroute
{
	surfaceparm woodsteps
	nopicmip
	nomipmaps
	q3map_nonplanar
	q3map_shadeangle 100
	qer_editorimage textures/testmap01/sideroute.jpg
	{
		map $lightmap
		rgbGen identity
	}

	{
		map textures/testmap01/sideroute.jpg
		blendFunc filter
	}
}

// ======================================================================
// AXIS PHONG SHADERS
// ======================================================================

// ******************* Outdoor *************************

textures/testmap01/green_grass_short_z
{
  q3map_nonplanar
  q3map_shadeangle 100
  qer_editorimage textures/testmap01/green_grass_short_z.jpg
  {
    map $lightmap
    rgbGen identity
  }
  {
    map textures/testmap01/green_grass_short.tga
    blendFunc filter
  }
}

textures/testmap01/green_grass_long_z
{
  q3map_nonplanar
  q3map_shadeangle 100
  qer_editorimage textures/testmap01/green_grass_long_z.jpg
  {
    map $lightmap
    rgbGen identity
  }
  {
    map textures/testmap01/green_grass_long.tga
    blendFunc filter
  }
}

textures/testmap01/red_plank_z
{
  q3map_nonplanar
  q3map_shadeangle 100
  qer_editorimage textures/testmap01/red_plank_z.jpg
  {
    map $lightmap
    rgbGen identity
  }
  {
    map textures/testmap01/red_plank.tga
    blendFunc filter
  }
}

// ******************* Indoor *************************

textures/testmap01/gold_hex_wall_z
{
  q3map_nonplanar
  q3map_shadeangle 100
  qer_editorimage textures/testmap01/gold_hex_wall_z.jpg
  {
    map $lightmap
    rgbGen identity
  }
  {
    map textures/testmap01/gold_hex_wall.tga
    blendFunc filter
  }
}

textures/testmap01/red_hex_wall_z
{
  q3map_nonplanar
  q3map_shadeangle 100
  qer_editorimage textures/testmap01/red_hex_wall_z.jpg
  {
    map $lightmap
    rgbGen identity
  }
  {
    map textures/testmap01/red_hex_wall.tga
    blendFunc filter
  }
}

textures/testmap01/red_lab_wall_z
{
  q3map_nonplanar
  q3map_shadeangle 100
  qer_editorimage textures/testmap01/red_lab_wall_z.jpg
  {
    map $lightmap
    rgbGen identity
  }
  {
    map textures/testmap01/red_lab_wall.tga
    blendFunc filter
  }
}

// ======================================================================
// AXIS BLEND SHADERS
// ======================================================================

textures/testmap01/green_grass_long_2_short_x
{
	qer_editorimage textures/testmap01/green_grass_long_x.jpg // Only visible in editor (place-holder).
	q3map_nonplanar
	q3map_shadeangle 100
	q3map_tcGen ivector ( 0 256 0 ) ( 0 0 256 ) // (X Y Z) X-axis projection (top --> down). The axis that has a zero value in both groups is the projection axis.
	//q3map_alphaMod dotproduct2 ( 0.80 0.0 ) // (X Y Z) Blending textures depending on the slope of the surface. Big slope = primary texture. Flat = most prim + some secondary texture.
	{
		// Primary.
		map textures/testmap01/green_grass_long.tga // alpha 0 = primary texture only; alpha 100 = secondary texture only. 50 = mix.
		rgbGen identity
	}
	{
		// Secondary.
		map textures/testmap01/green_grass_short.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		// Lightmap
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/testmap01/green_grass_long_2_short_z
{
	qer_editorimage textures/testmap01/green_grass_long_z.jpg // Only visible in editor (place-holder).
	q3map_nonplanar
	q3map_shadeangle 100
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 ) // (X Y Z) Z-axis projection (top --> down). The axis that has a zero value in both groups is the projection axis.
	//q3map_alphaMod dotproduct2 ( 0.0 0.0 0.80 ) // (X Y Z) Blending textures depending on the slope of the surface. Big slope = primary texture. Flat = most prim + some secondary texture.
	{
		// Primary.
		map textures/testmap01/green_grass_long.tga // alpha 0 = primary texture only; alpha 100 = secondary texture only. 50 = mix.
		rgbGen identity
	}
	{
		// Secondary.
		map textures/testmap01/green_grass_short.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		// Lightmap
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/testmap01/green_grass_long_2_short_y
{
	qer_editorimage textures/testmap01/green_grass_long_y.jpg // Only visible in editor (place-holder).
	q3map_nonplanar
	q3map_shadeangle 100
	q3map_tcGen ivector ( 256 0 0 ) ( 0 0 256 ) // (X Y Z) Y-axis projection (top --> down). The axis that has a zero value in both groups is the projection axis.
	//q3map_alphaMod dotproduct2 ( 0.0 0.0 0.80 ) // (X Y Z) Blending textures depending on the slope of the surface. Big slope = primary texture. Flat = most prim + some secondary texture.
	{
		// Primary.
		map textures/testmap01/green_grass_long.tga // alpha 0 = primary texture only; alpha 100 = secondary texture only. 50 = mix.
		rgbGen identity
	}
	{
		// Secondary.
		map textures/testmap01/green_grass_short.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		// Lightmap
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

// =========================== Grass to rock ===========================================

textures/testmap01/blue_grass_2_blue_rock_x
{
	qer_editorimage textures/testmap01/blue_rock_x.jpg // Only visible in editor (place-holder).
	q3map_nonplanar
	q3map_shadeangle 100
	q3map_tcGen ivector ( 0 256 0 ) ( 0 0 256 ) // (X Y Z) X-axis projection (top --> down). The axis that has a zero value in both groups is the projection axis.
	//q3map_alphaMod dotproduct2 ( 0.0 0.80 0.0 ) // (X Y Z) Blending textures depending on the slope of the surface. Big slope = primary texture. Flat = most prim + some secondary texture.
	{
		// Primary.
		map textures/testmap01/blue_rock.tga // alpha 0 = primary texture only; alpha 100 = secondary texture only. 50 = mix.
		rgbGen identity
	}
	{
		// Secondary.
		map textures/testmap01/blue_grass.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		// Lightmap
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/testmap01/blue_grass_2_blue_rock_y
{
	qer_editorimage textures/testmap01/blue_rock_y.jpg // Only visible in editor (place-holder).
	q3map_nonplanar
	q3map_shadeangle 100
	q3map_tcGen ivector ( 256 0 0 ) ( 0 0 256 ) // (X Y Z) Y-axis projection (top --> down). The axis that has a zero value in both groups is the projection axis.
	//q3map_alphaMod dotproduct2 ( 0.0 0.80 0.0 ) // (X Y Z) Blending textures depending on the slope of the surface. Big slope = primary texture. Flat = most prim + some secondary texture.
	{
		// Primary.
		map textures/testmap01/blue_rock.tga // alpha 0 = primary texture only; alpha 100 = secondary texture only. 50 = mix.
		rgbGen identity
	}
	{
		// Secondary.
		map textures/testmap01/blue_grass.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		// Lightmap
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/testmap01/blue_grass_2_blue_rock_z
{
	qer_editorimage textures/testmap01/blue_rock_z.jpg // Only visible in editor (place-holder).
	q3map_nonplanar
	q3map_shadeangle 100
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 ) // (X Y Z) Z-axis projection (top --> down). The axis that has a zero value in both groups is the projection axis.
	//q3map_alphaMod dotproduct2 ( 0.0 0.0 0.80 ) // (X Y Z) Blending textures depending on the slope of the surface. Big slope = primary texture. Flat = most prim + some secondary texture.
	{
		// Primary.
		map textures/testmap01/blue_rock.tga // alpha 0 = primary texture only; alpha 100 = secondary texture only. 50 = mix.
		rgbGen identity
	}
	{
		// Secondary.
		map textures/testmap01/blue_grass.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		// Lightmap
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

// ========================= Rock to grass =============================================

textures/testmap01/blue_rock_2_blue_grass_z
{
	qer_editorimage textures/testmap01/blue_rock_z.jpg // Only visible in editor (place-holder).
	q3map_nonplanar
	q3map_shadeangle 100
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 ) // (X Y Z) Z-axis projection (top --> down). The axis that has a zero value in both groups is the projection axis.
	//q3map_alphaMod dotproduct2 ( 0.0 0.0 0.80 ) // (X Y Z) Blending textures depending on the slope of the surface. Big slope = primary texture. Flat = most prim + some secondary texture.
	{
		// Primary.
		map textures/testmap01/blue_rock.tga // alpha 0 = primary texture only; alpha 100 = secondary texture only. 50 = mix.
		rgbGen identity
	}
	{
		// Secondary.
		map textures/testmap01/blue_grass.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		// Lightmap
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

// ========================= Grass to stone =============================================

textures/testmap01/blue_grass_2_blue_stones_z
{
	qer_editorimage textures/testmap01/blue_grass_z.jpg // Only visible in editor (place-holder).
	q3map_nonplanar
	q3map_shadeangle 100
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 ) // (X Y Z) Z-axis projection (top --> down). The axis that has a zero value in both groups is the projection axis.
	//q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 ) // (X Y Z) Blending textures depending on the slope of the surface. Big slope = primary texture. Flat = most prim + some secondary texture.
	{
		// Primary.
		map textures/testmap01/blue_stones.tga // alpha 0 = primary texture only; alpha 100 = secondary texture only. 50 = mix.
		rgbGen identity
	}
	{
		// Secondary.
		map textures/testmap01/blue_grass.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		// Lightmap
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

// ========================= Hex to short grass =============================================

textures/testmap01/red_hex_2_short_grass_x
{
	qer_editorimage textures/testmap01/red_hex_wall_x.jpg // Only visible in editor (place-holder).
	q3map_nonplanar
	q3map_shadeangle 100
	q3map_tcGen ivector ( 0 256 0 ) ( 0 0 256 ) // (X Y Z) X-axis projection (top --> down). The axis that has a zero value in both groups is the projection axis.
	//q3map_alphaMod dotproduct2 ( 0.80 0.0 0.0 )
	{
		// Primary.
		map textures/testmap01/red_hex_wall.tga // alpha 0 = primary texture only; alpha 100 = secondary texture only. 50 = mix.
		rgbGen identity
	}
	{
		// Secondary.
		map textures/testmap01/green_grass_short.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		// Lightmap
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/testmap01/red_hex_2_short_grass_y
{
	qer_editorimage textures/testmap01/red_hex_wall_y.jpg // Only visible in editor (place-holder).
	q3map_nonplanar
	q3map_shadeangle 100
	q3map_tcGen ivector ( 256 0 0 ) ( 0 0 256 ) // (X Y Z) Y-axis projection (top --> down). The axis that has a zero value in both groups is the projection axis.
	//q3map_alphaMod dotproduct2 ( 0.0 0.80 0.0 )
	{
		// Primary.
		map textures/testmap01/red_hex_wall.tga // alpha 0 = primary texture only; alpha 100 = secondary texture only. 50 = mix.
		rgbGen identity
	}
	{
		// Secondary.
		map textures/testmap01/green_grass_short.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		// Lightmap
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/testmap01/red_hex_2_short_grass_z
{
	qer_editorimage textures/testmap01/red_hex_wall_z.jpg // Only visible in editor (place-holder).
	q3map_nonplanar
	q3map_shadeangle 100
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 ) // (X Y Z) Z-axis projection (top --> down). The axis that has a zero value in both groups is the projection axis.
	//q3map_alphaMod dotproduct2 ( 0.0 0.0 0.80 )
	{
		// Primary.
		map textures/testmap01/red_hex_wall.tga // alpha 0 = primary texture only; alpha 100 = secondary texture only. 50 = mix.
		rgbGen identity
	}
	{
		// Secondary.
		map textures/testmap01/green_grass_short.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		// Lightmap
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

// ========================= Hex tex =============================================


textures/testmap01/red_hex_wall_end_x
{
	qer_editorimage textures/testmap01/red_hex_wall_end_x.jpg // Only visible in editor (place-holder).
	q3map_nonplanar
	q3map_shadeangle 100
	q3map_tcGen ivector ( 0 256 0 ) ( 0 0 256 ) // (X Y Z) X-axis projection (top --> down). The axis that has a zero value in both groups is the projection axis.
	{
		// Primary.
		map textures/testmap01/red_hex_wall_end.tga // alpha 0 = primary texture only; alpha 100 = secondary texture only. 50 = mix.
		rgbGen identity
	}
	{
		// Secondary.
		map textures/testmap01/red_lab_wall.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		// Lightmap
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/testmap01/red_hex_wall_end_y
{
	qer_editorimage textures/testmap01/red_hex_wall_end_y.jpg // Only visible in editor (place-holder).
	q3map_nonplanar
	q3map_shadeangle 100
	q3map_tcGen ivector ( 256 0 0 ) ( 0 0 256 ) // (X Y Z) Y-axis projection (top --> down). The axis that has a zero value in both groups is the projection axis.
	{
		// Primary.
		map textures/testmap01/red_hex_wall_end.tga // alpha 0 = primary texture only; alpha 100 = secondary texture only. 50 = mix.
		rgbGen identity
	}
	{
		// Secondary.
		map textures/testmap01/red_lab_wall.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		// Lightmap
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/testmap01/red_hex_wall_end_z
{
	qer_editorimage textures/testmap01/red_hex_wall_end_z.jpg // Only visible in editor (place-holder).
	q3map_nonplanar
	q3map_shadeangle 100
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 ) // (X Y Z) Z-axis projection (top --> down). The axis that has a zero value in both groups is the projection axis.
	{
		// Primary.
		map textures/testmap01/red_hex_wall_end.tga // alpha 0 = primary texture only; alpha 100 = secondary texture only. 50 = mix.
		rgbGen identity
	}
	{
		// Secondary.
		map textures/testmap01/red_lab_wall.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		// Lightmap
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

// ======================================================================
// ALLIED BLEND SHADERS
// ======================================================================

// ========================= Blue grass to concrete =============================================

// ************** 1024 x 1024 *********************

textures/testmap01/blue_grass_2_blue_concrete_x
{
	qer_editorimage textures/testmap01/blue_grass_x.jpg // Only visible in editor (place-holder).
	q3map_nonplanar
	q3map_shadeangle 100
	q3map_tcGen ivector ( 0 256 0 ) ( 0 0 256 ) // (X Y Z) X-axis projection (top --> down). The axis that has a zero value in both groups is the projection axis.
	{
		// Primary.
		map textures/testmap01/blue_grass.tga // alpha 0 = primary texture only; alpha 100 = secondary texture only. 50 = mix.
		rgbGen identity
	}
	{
		// Secondary.
		map textures/testmap01/blue_concrete.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		// Lightmap
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

// 1024 x 1024
textures/testmap01/blue_grass_2_blue_concrete_y
{
	qer_editorimage textures/testmap01/blue_grass_y.jpg // Only visible in editor (place-holder).
	q3map_nonplanar
	q3map_shadeangle 100
	q3map_tcGen ivector ( 128 0 0 ) ( 0 0 128 ) // (X Y Z) Y-axis projection (top --> down). The axis that has a zero value in both groups is the projection axis.
	{
		// Primary.
		map textures/testmap01/blue_grass.tga // alpha 0 = primary texture only; alpha 100 = secondary texture only. 50 = mix.
		rgbGen identity
	}
	{
		// Secondary.
		map textures/testmap01/blue_concrete.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		// Lightmap
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

// 1024 x 1024
textures/testmap01/blue_grass_2_blue_concrete_z
{
	qer_editorimage textures/testmap01/blue_grass_z.jpg // Only visible in editor (place-holder).
	q3map_nonplanar
	q3map_shadeangle 100
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 ) // (X Y Z) Z-axis projection (top --> down). The axis that has a zero value in both groups is the projection axis.
	{
		// Primary.
		map textures/testmap01/blue_grass.tga // alpha 0 = primary texture only; alpha 100 = secondary texture only. 50 = mix.
		rgbGen identity
	}
	{
		// Secondary.
		map textures/testmap01/blue_concrete.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		// Lightmap
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

// ************** 512 x 256 *****************

textures/testmap01/blue_grass_2_blue_concrete_512x256_x
{
	qer_editorimage textures/testmap01/blue_grass_2_concrete_512x256_x.jpg // Only visible in editor (place-holder).
	q3map_nonplanar
	q3map_shadeangle 100
	q3map_tcGen ivector ( 0 128 0 ) ( 0 0 128 ) // (X Y Z) X-axis projection (top --> down). The axis that has a zero value in both groups is the projection axis.
	{
		// Primary.
		map textures/testmap01/blue_grass.tga // alpha 0 = primary texture only; alpha 100 = secondary texture only. 50 = mix.
		rgbGen identity
	}
	{
		// Secondary.
		map textures/testmap01/blue_concrete_512x256.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		// Lightmap
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

// 512 x 256
textures/testmap01/blue_grass_2_blue_concrete_512x256_y
{
	qer_editorimage textures/testmap01/blue_grass_2_concrete_512x256_y.jpg // Only visible in editor (place-holder).
	q3map_nonplanar
	q3map_shadeangle 100
	q3map_tcGen ivector ( 128 0 0 ) ( 0 0 128 ) // (X Y Z) Y-axis projection (top --> down). The axis that has a zero value in both groups is the projection axis.
	{
		// Primary.
		map textures/testmap01/blue_grass.tga // alpha 0 = primary texture only; alpha 100 = secondary texture only. 50 = mix.
		rgbGen identity
	}
	{
		// Secondary.
		map textures/testmap01/blue_concrete_512x256.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		// Lightmap
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}


// 512 x 256
textures/testmap01/blue_grass_2_blue_concrete_512x256_z
{
	qer_editorimage textures/testmap01/blue_grass_2_concrete_512x256_z.jpg // Only visible in editor (place-holder).
	q3map_nonplanar
	q3map_shadeangle 100
	q3map_tcGen ivector ( 128 0 0 ) ( 0 128 0 ) // (X Y Z) Y-axis projection (top --> down). The axis that has a zero value in both groups is the projection axis.
	{
		// Primary.
		map textures/testmap01/blue_grass.tga // alpha 0 = primary texture only; alpha 100 = secondary texture only. 50 = mix.
		rgbGen identity
	}
	{
		// Secondary.
		map textures/testmap01/blue_concrete_512x256.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		// Lightmap
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

// ************** 256 x 256 ***********************

textures/testmap01/blue_grass_2_blue_concrete_256x256_x
{
	qer_editorimage textures/testmap01/blue_grass_2_concrete_256x256_x.jpg // Only visible in editor (place-holder).
	q3map_nonplanar
	q3map_shadeangle 100
	q3map_tcGen ivector ( 0 128 0 ) ( 0 0 128 ) // (X Y Z) X-axis projection (top --> down). The axis that has a zero value in both groups is the projection axis.
	{
		// Primary.
		map textures/testmap01/blue_grass.tga // alpha 0 = primary texture only; alpha 100 = secondary texture only. 50 = mix.
		rgbGen identity
	}
	{
		// Secondary.
		map textures/testmap01/blue_concrete_256x256.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		// Lightmap
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

// 256 x 256
textures/testmap01/blue_grass_2_blue_concrete_256x256_y
{
	qer_editorimage textures/testmap01/blue_grass_2_concrete_256x256_y.jpg // Only visible in editor (place-holder).
	q3map_nonplanar
	q3map_shadeangle 100
	q3map_tcGen ivector ( 128 0 0 ) ( 0 0 128 ) // (X Y Z) Y-axis projection (top --> down). The axis that has a zero value in both groups is the projection axis.
	{
		// Primary.
		map textures/testmap01/blue_grass.tga // alpha 0 = primary texture only; alpha 100 = secondary texture only. 50 = mix.
		rgbGen identity
	}
	{
		// Secondary.
		map textures/testmap01/blue_concrete_256x256.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		// Lightmap
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

// 256 x 256
textures/testmap01/blue_grass_2_blue_concrete_256x256_z
{
	qer_editorimage textures/testmap01/blue_grass_2_concrete_256x256_z.jpg // Only visible in editor (place-holder).
	q3map_nonplanar
	q3map_shadeangle 100
	q3map_tcGen ivector ( 128 0 0 ) ( 0 128 0 ) // (X Y Z) Z-axis projection (top --> down). The axis that has a zero value in both groups is the projection axis.
	{
		// Primary.
		map textures/testmap01/blue_grass.tga // alpha 0 = primary texture only; alpha 100 = secondary texture only. 50 = mix.
		rgbGen identity
	}
	{
		// Secondary.
		map textures/testmap01/blue_concrete_256x256.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		// Lightmap
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

// ========================= Blue concrete to grass =============================================

textures/testmap01/blue_concrete_2_blue_grass_x
{
	qer_editorimage textures/testmap01/blue_concrete_x.jpg // Only visible in editor (place-holder).
	q3map_nonplanar
	q3map_shadeangle 100
	q3map_tcGen ivector ( 0 256 0 ) ( 0 0 256 ) // (X Y Z) X-axis projection (top --> down). The axis that has a zero value in both groups is the projection axis.
	//q3map_alphaMod dotproduct2 ( 0.0 0.0 0.5 )
	{
		// Primary.
		map textures/testmap01/blue_concrete.tga // alpha 0 = primary texture only; alpha 100 = secondary texture only. 50 = mix.
		rgbGen identity
	}
	{
		// Secondary.
		map textures/testmap01/blue_grass.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		// Lightmap
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/testmap01/blue_concrete_2_blue_grass_y
{
	qer_editorimage textures/testmap01/blue_concrete_y.jpg // Only visible in editor (place-holder).
	q3map_nonplanar
	q3map_shadeangle 100
	q3map_tcGen ivector ( 256 0 0 ) ( 0 0 256 ) // (X Y Z) Y-axis projection (top --> down). The axis that has a zero value in both groups is the projection axis.
	//q3map_alphaMod dotproduct2 ( 0.0 0.0 0.5 )
	{
		// Primary.
		map textures/testmap01/blue_concrete.tga // alpha 0 = primary texture only; alpha 100 = secondary texture only. 50 = mix.
		rgbGen identity
	}
	{
		// Secondary.
		map textures/testmap01/blue_grass.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		// Lightmap
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/testmap01/blue_concrete_2_blue_grass_z
{
	qer_editorimage textures/testmap01/blue_concrete_z.jpg // Only visible in editor (place-holder).
	q3map_nonplanar
	q3map_shadeangle 100
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 ) // (X Y Z) Z-axis projection (top --> down). The axis that has a zero value in both groups is the projection axis.
	//q3map_alphaMod dotproduct2 ( 0.0 0.0 0.5 )
	{
		// Primary.
		map textures/testmap01/blue_concrete.tga // alpha 0 = primary texture only; alpha 100 = secondary texture only. 50 = mix.
		rgbGen identity
	}
	{
		// Secondary.
		map textures/testmap01/blue_grass.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		// Lightmap
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

// ========================= Blue concrete to stones =============================================

textures/testmap01/blue_stones_blend_z
{
	qer_editorimage textures/testmap01/blue_stones_z.jpg // Only visible in editor (place-holder).
	q3map_nonplanar
	q3map_shadeangle 100
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 ) // (X Y Z) Z-axis projection (top --> down). The axis that has a zero value in both groups is the projection axis.
	//q3map_alphaMod dotproduct2 ( 0.0 0.0 0.5 )
	{
		// Primary.
		map textures/testmap01/blue_concrete.tga // alpha 0 = primary texture only; alpha 100 = secondary texture only. 50 = mix.
		rgbGen identity
	}
	{
		// Secondary.
		map textures/testmap01/blue_stones.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		// Lightmap
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

// *********************************

textures/testmap01/blue_concrete_blend_z
{
	qer_editorimage textures/testmap01/blue_concrete_z.jpg // Only visible in editor (place-holder).
	q3map_nonplanar
	q3map_shadeangle 100
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 ) // (X Y Z) Z -axis projection.
	//q3map_alphaMod dotproduct2 ( 0.0 0.5 0 )
	{
		// Primary.
		map textures/testmap01/blue_stones.tga // alpha 0 = primary texture only; alpha 100 = secondary texture only. 50 = mix.
		rgbGen identity
	}
	{
		// Secondary.
		map textures/testmap01/blue_concrete.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		// Lightmap
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/testmap01/blue_concrete_blend_y
{
	qer_editorimage textures/testmap01/blue_concrete_y.jpg // Only visible in editor (place-holder).
	q3map_nonplanar
	q3map_shadeangle 100
	q3map_tcGen ivector ( 256 0 0 ) ( 0 0 256 ) // (X Y Z) Y-axis projection.
	//q3map_alphaMod dotproduct2 ( 0.0 0.5 0.0 )
	{
		// Primary.
		map textures/testmap01/blue_stones.tga // alpha 0 = primary texture only; alpha 100 = secondary texture only. 50 = mix.
		rgbGen identity
	}
	{
		// Secondary.
		map textures/testmap01/blue_concrete.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		// Lightmap
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

// *********************************

textures/testmap01/blue_rust_wall_blend_z
{
	qer_editorimage textures/testmap01/blue_rust_wall_z.jpg // Only visible in editor (place-holder).
	q3map_nonplanar
	q3map_shadeangle 100
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 ) // (X Y Z) Z-axis projection (top --> down). The axis that has a zero value in both groups is the projection axis.
	//q3map_alphaMod dotproduct2 ( 0.0 0.0 0.5 )
	{
		// Primary.
		map textures/testmap01/blue_rust_wall.tga // alpha 0 = primary texture only; alpha 100 = secondary texture only. 50 = mix.
		rgbGen identity
	}
	{
		// Secondary.
		map textures/testmap01/blue_concrete.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		// Lightmap
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/testmap01/blue_rust_wall_blend_y
{
	qer_editorimage textures/testmap01/blue_rust_wall_y.jpg // Only visible in editor (place-holder).
	q3map_nonplanar
	q3map_shadeangle 100
	q3map_tcGen ivector ( 256 0 0 ) ( 0 0 256 ) // (X Y Z) Y-axis projection (top --> down). The axis that has a zero value in both groups is the projection axis.
	//q3map_alphaMod dotproduct2 ( 0.0 0.5 0.0 )
	{
		// Primary.
		map textures/testmap01/blue_concrete.tga // alpha 0 = primary texture only; alpha 100 = secondary texture only. 50 = mix.
		rgbGen identity
	}
	{
		// Secondary.
		map textures/testmap01/blue_rust_wall.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		// Lightmap
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}


// ======================================================================
// COMMON BLEND SHADERS (e.g. walls)
// ======================================================================

textures/testmap01/wall_01_x
{
	qer_editorimage textures/testmap01/wallrock_x.jpg // Only visible in editor (place-holder).
	q3map_nonplanar
	q3map_shadeangle 100
	q3map_tcGen ivector ( 0 512 0 ) ( 0 0 512 ) // (X Y Z) X-axis projection.
	{
		// Primary.
		map textures/testmap01/wallrock.tga // alpha 0 = primary texture only; alpha 100 = secondary texture only. 50 = mix.
		rgbGen identity
	}
	{
		// Secondary.
		map textures/testmap01/green_grass_short.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		// Lightmap
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/testmap01/wall_01_256_x
{
	qer_editorimage textures/testmap01/wallrock_x.jpg // Only visible in editor (place-holder).
	q3map_nonplanar
	q3map_shadeangle 100
	q3map_tcGen ivector ( 0 256 0 ) ( 0 0 256 ) // (X Y Z) X-axis projection.
	{
		// Primary.
		map textures/testmap01/wallrock.tga // alpha 0 = primary texture only; alpha 100 = secondary texture only. 50 = mix.
		rgbGen identity
	}
	{
		// Secondary.
		map textures/testmap01/green_grass_short.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		// Lightmap
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/testmap01/wall_01_y
{
	qer_editorimage textures/testmap01/wallrock_y.jpg // Only visible in editor (place-holder).
	q3map_nonplanar
	q3map_shadeangle 100
	q3map_tcGen ivector ( 512 0 0 ) ( 0 0 512 ) // (X Y Z) Y-axis projection.
	{
		// Primary.
		map textures/testmap01/wallrock.tga // alpha 0 = primary texture only; alpha 100 = secondary texture only. 50 = mix.
		rgbGen identity
	}
	{
		// Secondary.
		map textures/testmap01/green_grass_short.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		// Lightmap
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/testmap01/wall_01_256_y
{
	qer_editorimage textures/testmap01/wallrock_y.jpg // Only visible in editor (place-holder).
	q3map_nonplanar
	q3map_shadeangle 100
	q3map_tcGen ivector ( 256 0 0 ) ( 0 0 256 ) // (X Y Z) Y-axis projection.
	{
		// Primary.
		map textures/testmap01/wallrock.tga // alpha 0 = primary texture only; alpha 100 = secondary texture only. 50 = mix.
		rgbGen identity
	}
	{
		// Secondary.
		map textures/testmap01/green_grass_short.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		// Lightmap
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}


textures/testmap01/wall_01_z
{
	qer_editorimage textures/testmap01/wallrock_z.jpg // Only visible in editor (place-holder).
	q3map_nonplanar
	q3map_shadeangle 100
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 ) // (X Y Z) Y-axis projection.
	{
		// Primary.
		map textures/testmap01/wallrock.tga // alpha 0 = primary texture only; alpha 100 = secondary texture only. 50 = mix.
		rgbGen identity
	}
	{
		// Secondary.
		map textures/testmap01/green_grass_short.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		// Lightmap
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/testmap01/wall_01_256_z
{
	qer_editorimage textures/testmap01/wallrock_z.jpg // Only visible in editor (place-holder).
	q3map_nonplanar
	q3map_shadeangle 100
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 ) // (X Y Z) Y-axis projection.
	{
		// Primary.
		map textures/testmap01/wallrock.tga // alpha 0 = primary texture only; alpha 100 = secondary texture only. 50 = mix.
		rgbGen identity
	}
	{
		// Secondary.
		map textures/testmap01/green_grass_short.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		// Lightmap
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/testmap01/wall_01_z_rotated_32degrees
{
	qer_editorimage textures/testmap01/wallrock_z.jpg // Only visible in editor (place-holder).
	q3map_nonplanar
	q3map_shadeangle 100
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 ) // (X Y Z) Y-axis projection.
	q3map_tcMod rotate 31.6
	{
		// Primary.
		map textures/testmap01/wallrock.tga // alpha 0 = primary texture only; alpha 100 = secondary texture only. 50 = mix.
		rgbGen identity
	}
	{
		// Secondary.
		map textures/testmap01/green_grass_short.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		// Lightmap
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

// *****************************************

textures/testmap01/redlabwall_2_grass_256_x
{
	qer_editorimage textures/testmap01/wallrock_x.jpg // Only visible in editor (place-holder).
	q3map_nonplanar
	q3map_shadeangle 100
	q3map_tcGen ivector ( 0 256 0 ) ( 0 0 256 ) // (X Y Z) X-axis projection.
	{
		// Primary.
		map textures/testmap01/red_lab_wall.tga // alpha 0 = primary texture only; alpha 100 = secondary texture only. 50 = mix.
		rgbGen identity
	}
	{
		// Secondary.
		map textures/testmap01/green_grass_short.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		// Lightmap
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/testmap01/redlabwall_2_grass_256_y
{
	qer_editorimage textures/testmap01/wallrock_y.jpg // Only visible in editor (place-holder).
	q3map_nonplanar
	q3map_shadeangle 100
	q3map_tcGen ivector ( 256 0 0 ) ( 0 0 256 ) // (X Y Z) Y-axis projection.
	{
		// Primary.
		map textures/testmap01/red_lab_wall.tga
		rgbGen identity
	}
	{
		// Secondary.
		map textures/testmap01/green_grass_short.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		// Lightmap
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/testmap01/redlabwall_2_grass_256_z
{
	qer_editorimage textures/testmap01/wallrock_z.jpg // Only visible in editor (place-holder).
	q3map_nonplanar
	q3map_shadeangle 100
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 ) // (X Y Z) Y-axis projection.
	{
		// Primary.
		map textures/testmap01/red_lab_wall.tga
		rgbGen identity
	}
	{
		// Secondary.
		map textures/testmap01/green_grass_short.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		// Lightmap
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}


// ======================================================================
// ALPHA
// ======================================================================

textures/testmap01/alpha_000 	// Primary texture ONLY
{
	qer_editorimage textures/testmap01/z_alpha_000.tga
	q3map_alphaMod volume
	q3map_alphaMod set 0.0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.7
}

textures/testmap01/alpha_025
{
	qer_editorimage textures/testmap01/z_alpha_025.tga
	q3map_alphaMod volume
	q3map_alphaMod set 0.25
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.7
}

textures/testmap01/alpha_050 // Perfect mix of both Primary + Secondary
{
	qer_editorimage textures/testmap01/z_alpha_050.tga
	q3map_alphaMod volume
	q3map_alphaMod set 0.5
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.7
}

textures/testmap01/alpha_075
{
	qer_editorimage textures/testmap01/z_alpha_075.tga
	q3map_alphaMod volume
	q3map_alphaMod set 0.75
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.7
}

textures/testmap01/alpha_100 // Secondary texture ONLY
{
	qer_editorimage textures/testmap01/z_alpha_100.tga
	q3map_alphaMod volume
	q3map_alphaMod set 1.0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.7
}

// ======================================================================
// SKY
// ======================================================================

textures/testmap01/testmap01_sky01
{
	nocompress
	qer_editorimage textures/testmap01/z_sky01_editor.jpg
	q3map_sunExt 1 .96 .87 50 140 32 2 16		// Red green blue intensity degrees elevation deviance and samples
	q3map_lightmapFilterRadius 0 8				// Amount of filtering applied on the lightmap. First value for self (always "0" on sky shaders since skies don't have lightmaps), second value on others.
	q3map_skylight 100 6 						// Amount iterations (e.g.  100 6)
	q3map_nofog
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	surfaceparm sky
	skyparms textures/skies_sd/wurzburg_env/sky 256 -
	sunshader textures/skies_sd/batterysunfog

	{	fog off
		map textures/skies_sd/battery_clouds.tga
		tcMod scale 2.5 2.5
		tcMod scroll 0.0015 -0.003
		rgbGen identityLighting
	}

	{
		fog off
		clampmap textures/skies_sd/battery_mask_ydnar.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale 0.56 0.56
		tcMod transform 1 0 0 1 -1 -1
		rgbGen const ( 0.4 0.4 0.4 )
	}
}

// ======================================================================
// TERRAIN INSIDE SKYBOX
// ======================================================================

textures/testmap01/rock_brown_yellow
{
    q3map_nonplanar
    q3map_shadeangle 120
    qer_editorimage textures/testmap01/rock_brown_yellow.tga
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/testmap01/rock_brown_yellow.tga
        blendFunc filter
    }
    {
    	map textures/testmap01/rock_noise.tga
    	blendFunc GL_DST_COLOR GL_SRC_COLOR
    	detail
    	tcMod scale 0.25 0.25
    }
}

textures/testmap01/rock_gray_noise_sd
{
    q3map_nonplanar
    q3map_shadeangle 120
    qer_editorimage textures/temperate_sd/rock_grayvar.tga
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/temperate_sd/rock_grayvar.tga
        blendFunc filter
    }
    {
    	map textures/detail_sd/sanddetail.tga
    	blendFunc GL_DST_COLOR GL_SRC_COLOR
    	detail
    	tcMod scale 4 4
    }
}

// ======================================================================
// COMMAND MAP AND COMPASS
// ======================================================================

levelshots/amazing_bank_v1_cc_automap
{
	nopicmip
	nocompress
	nomipmaps
	{
		clampmap levelshots/amazing_bank_v1_cc.jpg
		depthFunc equal
		rgbGen identity
	}
}

levelshots/amazing_bank_v1_cc_trans
{
	nopicmip
	nocompress
	nomipmaps
	{
		clampmap levelshots/amazing_bank_v1_cc.jpg
		blendfunc blend
		rgbGen identity
		alphaGen vertex
	}
}

// ======================================================================
// SFX
// ======================================================================

textures/testmap01/red_blink
{
	qer_editorimage textures/sfx/construction.tga
	cull none
	surfaceparm nonsolid
	surfaceparm pointlight
	surfaceparm trans
	{
        map textures/sfx/construction.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.5 0.5 0 2 // rgbGen wave [func] [base] [amplitude] [phase] [freq]
		tcgen environment
	}
	{
		map $whiteimage
		blendfunc filter
		rgbGen const ( 1.0 0.6 0.6 )
	}
}

textures/testmap01/blue_blink
{
	qer_editorimage textures/sfx/construction.tga
	cull none
	surfaceparm nonsolid
	surfaceparm pointlight
	surfaceparm trans
	{
        map textures/sfx/construction.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.5 0.5 0 2 // rgbGen wave [func] [base] [amplitude] [phase] [freq]
		tcgen environment
	}
	{
		map $whiteimage
		blendfunc filter
		rgbGen const ( 0.6 0.6 1.0 )
	}
}

textures/testmap01/green_cube
{
  q3map_nonplanar
  q3map_shadeangle 100
  qer_editorimage textures/testmap01/green_cube.jpg
  {
    map $lightmap
    rgbGen identity
  }
  {
    map textures/testmap01/green_cube.jpg
    blendFunc filter
  }
}

textures/testmap01/green_cube_irl
{
  q3map_nonplanar
  q3map_shadeangle 100
  qer_editorimage textures/testmap01/green_cube_irl.jpg
  {
    map $lightmap
    rgbGen identity
  }
  {
    map textures/testmap01/green_cube_irl.jpg
    blendFunc filter
  }
}

textures/testmap01/japanese_sign
{
	qer_editorimage textures/testmap01/you_will_also_die_text_128.tga
	nopicmip
	nomipmaps
    {
		map textures/testmap01/you_will_also_die_text_128.tga
	}
	{
		map textures/testmap01/you_will_also_die_blue_cloud_128.jpg
		tcGen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map textures/testmap01/you_will_also_die_text_128.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map textures/testmap01/you_will_also_die_dark_cloud_128.jpg
		tcGen environment            
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/testmap01/al_first_obj
{
	qer_editorimage textures/testmap01/al_first_obj.jpg
	nopicmip
	nomipmaps
    {
		map textures/testmap01/al_first_obj.jpg
	}
	{
		map textures/testmap01/you_will_also_die_blue_cloud_128.jpg
		tcGen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map textures/testmap01/al_first_obj.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map textures/testmap01/you_will_also_die_dark_cloud_128.jpg
		tcGen environment            
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/testmap01/ax_first_obj
{
	qer_editorimage textures/testmap01/ax_first_obj.jpg
	nopicmip
	nomipmaps
    {
		map textures/testmap01/ax_first_obj.jpg
	}
	{
		map textures/testmap01/you_will_also_die_blue_cloud_128.jpg
		tcGen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map textures/testmap01/ax_first_obj.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map textures/testmap01/you_will_also_die_dark_cloud_128.jpg
		tcGen environment            
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

// =================== The End =====================================
